module "Signal" : 
driver "Signal" [ major=34 ] {

        file "Timer" /{
          #include <linux/signal.h>
        	   
          struct timer_list Timer;


          void Timer_IRQ(unsigned long unused){
                printk("click! \n");

                send_sig(SIGALRM,current,1);

                StartTimer(100);
          }

          void StartTimer(int timeout){
		printk( "start timer\n" );
		Timer.expires = jiffies + timeout;
		Timer.function = Timer_IRQ;
                add_timer(&Timer); 
          }

	  void StopTimer(){
		del_timer( &Timer );
	  }
        }/

        /*--------------------*/

	core {  
		init /{ 
			printk("init called\n");			
		}/

		cleanup /{
			printk("cleanup called\n");
		}/
	}

	open /{
		printk("open called\n");
                StartTimer( 100 );
	}/

	close /{
		printk("close called\n");
		StopTimer();
	}/

}

