#
#   
#   This Makefile has been generated with LDDK Version %<version>
#   (c) 1996 by Claus Schroeter (clausi@chemie.fu-berlin.de)
#
#   To get language support you need the swig generator to be installed
#   see http://www.cs.utah.edu/~beazley/SWIG/ for details.
#
#   Creation Date: %<date>

SWIG=swig
INCLUDES = -I. -I../include
DEFS = %<lang.make-defs>
LIBS = -ldl
CFLAGS = -fpic -O6 $(INCLUDES) $(DEFS)

OBJS= %<driver.modname>_file.o
SRCS= %<driver.modname>_file.c

########################################

all: %<driver.modname>_tcl.so


### Rules for Tcl/Tk generation

%<driver.modname>_tclsh: %<driver.modname>_twrap.o $(OBJS)
	$(CC) %<driver.modname>_twrap.o -L../lib -l%<driver.name> -ltcl $(LIBS) -lm -o %<driver.modname>_tclsh 

%<driver.modname>_tcl.so: %<driver.modname>_twrap.o $(OBJS)
	$(CC) -shared  $(OBJS) %<driver.modname>_twrap.o  -o %<driver.modname>_twrap.so  -L../lib -l%<driver.name>

%<driver.modname>_twrap.o: %<driver.modname>_twrap.c

%<driver.modname>_twrap.c: %<driver.modname>.i
	$(SWIG) -tcl -o %<driver.modname>_twrap.c %<driver.modname>.i

clean: 
	-rm *.o *_twrap.* *.doc *.so *_tclsh
